info.bioinfweb.jphyloio

## Class ParentEventInformation

- java.lang.Object
- - info.bioinfweb.jphyloio.ParentEventInformation

-     public class ParentEventInformation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParentEventInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(JPhyloIOEvent event)`
    `JPhyloIOEvent` | `getDirectParent()`
    `EventContentType` | `getDirectParentContentType()`
    `JPhyloIOEvent` | `getParentFromBottom(int index)`
    `JPhyloIOEvent` | `getParentFromTop(int index)`
    `boolean` | `isEmpty()`
    `boolean` | `isParentSequence(EventContentType... types)` Checks whether the current parent events have the specified content type(s).
    `protected void` | `pop()`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParentEventInformation

          public ParentEventInformation()

  - ### Method Detail

    - #### add

          protected void add(JPhyloIOEvent event)

    - #### pop

          protected void pop()

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

    - #### getDirectParent

          public JPhyloIOEvent getDirectParent()

    - #### getDirectParentContentType

          public EventContentType getDirectParentContentType()

    - #### getParentFromBottom

          public JPhyloIOEvent getParentFromBottom(int index)

    - #### getParentFromTop

          public JPhyloIOEvent getParentFromTop(int index)

    - #### isParentSequence

          public boolean isParentSequence(EventContentType... types)

      Checks whether the current parent events have the specified content type(s).
      Parameters:
        `types` - the expected content types of the parent events (The first parameter must match the direct parent, the second the grandparent and so on.)
      Returns:
        `true` the lowest elements in the sequence of parent events have the specified content types in the specified order or `false` otherwise
      Throws:
        `java.lang.NullPointerException` - if at least one specified content type is `null`